Summary:	mod_muc_admin ejabberd module
Name:		mod_muc_admin
Version:	8.05.16
Release:        6.ru
License:	GPL
Group:		Development/Other
Source:	%{name}-%{version}.tar.gz
Packager: 	David Diffenbaugh <davediff@nbcs.rutgers.edu>
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: erlang = R13B
Requires: erlang = R13B
Requires: ejabberd

%description
mod_muc_admin provides administrative features for MUC.
This module requires ejabberd 1.1.x for the basic functionality
and ejabberd 2.0.0 or 2.0.1 or newer to get all the functionality

%prep
%setup

%build
cd mod_muc_admin/branches/ejabberd-2.0.x
./build.sh

%install
rm -rf %{buildroot} 
mkdir -p %{buildroot}%{_libdir}/ejabberd/ebin/
install mod_muc_admin/branches/ejabberd-2.0.x/ebin/mod_muc_admin.beam %{buildroot}%{_libdir}/ejabberd/ebin/
 
%clean
rm -rf %{buildroot}

%post
echo "
Add the module to your /etc/ejabberd/ejabberd.cfg, on the modules section:
{modules, [
  ...
  {mod_muc_admin, []},
  ...
]}.

See /usr/share/doc/mod_muc_admin-%{version}/README.txt for usage instructions
"


%files
%defattr(-,root,root)
%doc  mod_muc_admin/branches/ejabberd-2.0.x/ChangeLog mod_muc_admin/branches/ejabberd-2.0.x/COPYING mod_muc_admin/branches/ejabberd-2.0.x/README.txt
%{_libdir}/ejabberd/ebin/mod_muc_admin.beam


%changelog
* Tue Apr 21 2009 David Diffenbaugh <davediff@nbcs.rutgers.edu> 8.05.16-6.ru
- built against erlang-R13B
* Tue Dec 23 2008 Brian Schubert <schubert@nbcs.rutgers.edu> 8.05.16-5.ru
- Fixed paths so that it builds on i386
* Tue Nov 11 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 8.05.16-4
- changed to build against erlang-R12B5
* Thu Oct 30 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 8.05.16-3
- changed to build against branches/ejabberd-2.0.x
- built with erlang-R12B4
* Thu Aug 07 2008 David Diffenbaugh <davediff@nbcs.rutgers.edu> 
- first rutgers release
